explain_settimeofday_or_die(3)

NAME
explain_settimeofday_or_die - sets system time and report errors

SYNOPSIS
#include <libexplain/settimeofday.h>

void explain_settimeofday_or_die(const struct timeval *tv, const struct timezone *tz);
int explain_settimeofday_on_error(const struct timeval *tv, const struct timezone *tz);

DESCRIPTION
The explain_settimeofday_or_die function is used to call the settimeofday(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_settimeofday(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_settimeofday_on_error function is used to call the settimeofday(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_settimeofday(3) function, but still returns to the caller.

tv  The tv, exactly as to be passed to the settimeofday(2) system call.

tz  The tz, exactly as to be passed to the settimeofday(2) system call.

RETURN VALUE
The explain_settimeofday_or_die function only returns on success, see settimeofday(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_settimeofday_on_error function always returns the value return by the wrapped settimeofday(2) system call.

EXAMPLE
The explain_settimeofday_or_die function is intended to be used in a fashion similar to the following example:
    explain_settimeofday_or_die(tv, tz);

SEE ALSO

settimeofday(2)
    sets system time

explain_settimeofday(3)
    explain settimeofday(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller